package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 同步学校信息定时任务
 * @Author: CaoZixuan
 * @Date: 2021-04-19
 */
public class TimedSyncSchoolJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(TimedSyncSchoolJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
//        try {
//            jobService.updateSchoolInfo();
        jobService.updatePrintPlan();
//            jobService.syncData();
//        } catch (IOException e) {
//            log.error(SystemConstant.LOG_ERROR, e);
//        }
    }
}
